<div style="margin-top: 20px;">
    <div class="container">
        <div class="row">
            <h5>
                <span jhiTranslate="mpmApp.productDocument.home.title">productDocument</span>
            </h5>
            <p-dataTable
                [value]="productDocuments"
                [editable]="true"
                [rows]="itemsPerPage"
                [paginator]="true"
                [pageLinks]="5"
                [rowsPerPageOptions]="[10,15,20]"
                [totalRecords]="totalItems"
                [responsive]="true"
                [lazy]="true"
                dataKey="idDocument"
                (onLazyLoad)="loadDataLazy($event)"
                (onEditComplete)="updateRowData($event)">
                <p-header>
                    <jhi-alert></jhi-alert>
                    <div class="col-md-1 offset-md-11">
                        <button pButton type="button"
                            icon="fa-plus"
                            class="ui-button-primary btn-sm"
                            [routerLink]="['/', { outlets: { popup: 'product-document-new/' + idProduct } }]">
                        </button>
                    </div>
                </p-header>
                <p-column header="{{'mpmApp.productDocument.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.productDocument.content'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <p-lightbox type="content">
                            <a class="group" href="#">
                                <img [src]="'data:' + rowData.contentContentType + ';base64,' + rowData.content" class="img-thumbnail" style="max-width:100px;" alt="partyDocument image"/>
                            </a>
                            <img [src]="'data:' + rowData.contentContentType + ';base64,' + rowData.content" style="max-width: 500px;" alt="partyDocument image"/>
                        </p-lightbox>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.productDocument.note'|translate}}" field="note" [editable]="true">
                </p-column>
                <p-column header="{{'mpmApp.productDocument.dateCreate'|translate}}" [style]="{'width': '150px'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.dateCreate | date:'dd-MM-yyyy'}}
                    </ng-template>
                    <ng-template let-col let-rowData="rowData" pTemplate="editor">
                        <p-calendar [(ngModel)]="rowData.dateCreate"
                            dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"></p-calendar>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.productDocument.product'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.productId">
                            <a [routerLink]="['../product', rowData.productId  ]" >{{rowData.productId}}</a>
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.productDocument.documentType'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.documentTypeId">
                            <a [routerLink]="['../document-type', rowData.documentTypeId  ]" >{{rowData.documentTypeDescription}}</a>
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.productDocument.labelAction'|translate}}" [style]="{'width': '100px', 'text-align': 'center'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <button pButton type="button"
                                (click)="delete(rowData.idDocument, rowIndex)"
                                icon="fa-remove"
                                class="flat-button" *ngIf="!readonly">
                        </button>
                    </ng-template>
                </p-column>
            </p-dataTable>
        </div>
    </div>
</div>
<div style="margin-top: 10px;"></div>
<p-confirmDialog></p-confirmDialog>
